Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.impl.xs.identity
Interface FieldActivator

All Known Implementing Classes:
  XMLSchemaValidator

public interface FieldActivator

Interface for a field activator. The field activator is responsible for activating fields within a specific scope; the caller merely requests the fields to be activated.

Version:
  $Id: FieldActivator.java,v 1.4 2003/05/08 20:11:56 elena Exp $
Author:
  Andy Clark, IBM

Method Summary
`XPathMatcher` | `activateField(Field field, int initialDepth)` Request to activate the specified field.
`void` | `endValueScopeFor(IdentityConstraint identityConstraint, int initialDepth)` Ends the value scope for the specified identity constraint.
`void` | `startValueScopeFor(IdentityConstraint identityConstraint, int initialDepth)` Start the value scope for the specified identity constraint.

Method Detail

### startValueScopeFor

    public void startValueScopeFor(IdentityConstraint identityConstraint,
                                   int initialDepth)

  Start the value scope for the specified identity constraint. This method is called when the selector matches in order to initialize the value store.
  Parameters:
    `identityConstraint` - The identity constraint.
    `initialDepth` - the depth at which the selector began matching

### activateField

    public XPathMatcher activateField(Field field,
                                      int initialDepth)

  Request to activate the specified field. This method returns the matcher for the field. It's also important for the implementor to ensure that the Field realizes that it is permitted to match a value--that is, to call the field's setMayMatch(boolean) method.
  Parameters:
    `field` - The field to activate.
    `initialDepth` - the 0-indexed depth in the instance document at which the Selector began to match.

### endValueScopeFor

    public void endValueScopeFor(IdentityConstraint identityConstraint,
                                 int initialDepth)

  Ends the value scope for the specified identity constraint.
  Parameters:
    `identityConstraint` - The identity constraint.
    `initialDepth` - the 0-indexed depth where the Selector began to match.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2004 Apache XML Project. All Rights Reserved.